osl::record::KisenUtils Class Reference

`#include <kisen.h>`

## Static Public Member Functions

static Square | convertSquare (int pos)
static Move | convertMove (SimpleState const &state, int c0, int c1)
static int | convertSquare (Square pos)

## Detailed Description

Definition at line 14 of file kisen.h.

## Member Function Documentation

## convertMove()

osl::Move osl::record::KisenUtils::convertMove | ( | SimpleState const & | state,
|  | int | c0,
|  | int | c1 )

static

Definition at line 18 of file kisen.cc.

References osl::alt(), osl::BISHOP, osl::captured(), convertSquare(), osl::SimpleState::countPiecesOnStand(), osl::GOLD, osl::Move::INVALID(), osl::Piece::isEmpty(), osl::Piece::isPiece(), osl::SimpleState::isValidMove(), osl::KING, osl::KNIGHT, osl::LANCE, osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceAt(), osl::SimpleState::pieceOnBoard(), osl::promote(), osl::Piece::ptype(), osl::PTYPE_EMPTY, osl::ROOK, osl::SILVER, and osl::SimpleState::turn().

Referenced by osl::record::KisenFile::moves().

## convertSquare() [1/2]

osl::Square osl::record::KisenUtils::convertSquare | ( | int | pos | ) |

static

Definition at line 8 of file kisen.cc.

Referenced by convertMove(), and osl::record::KisenWriter::save().

## convertSquare() [2/2]

int osl::record::KisenUtils::convertSquare | ( | Square | pos | ) |

static

Definition at line 13 of file kisen.cc.

References osl::Square::x(), and osl::Square::y().

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc